Bug 657028 - [NetApp 5.6 bug] SCSI ALUA handler fails to handle ALUA transitioning properly [rhel-5.5.z]
Summary: [NetApp 5.6 bug] SCSI ALUA handler fails to handle ALUA transitioning properl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
high
urgent
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 619361
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-24 17:46 UTC by RHEL Program Management
Modified: 2015-05-05 01:22 UTC (History)
17 users (show)

Fixed In Version: kernel-2.6.18-194.30.1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-04 16:55:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0004 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-01-04 16:52:05 UTC

Description RHEL Program Management 2010-11-24 17:46:24 UTC
This bug has been copied from bug #619361 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 3 Andrius Benokraitis 2010-11-24 18:44:47 UTC
The rhel5 git commits that Martin @ NetApp is asking to be included in 5.5.z are:
2e0c5916d06 [misc] add round_jiffies_up and related routines
15a9cf93a0b [scsi] scsi_dh_alua: handle transitioning state correctly

Comment 4 Jiri Pirko 2010-12-02 12:10:16 UTC
in kernel-2.6.18-194.30.1.el5

linux-2.6-scsi-scsi_dh_alua-handle-transitioning-state-correctly.patch

Comment 6 Eryu Guan 2010-12-23 09:25:08 UTC
Patch has been tested by Netapp, bug 619361 comment 42, confirmed linux-2.6-scsi-scsi_dh_alua-handle-transitioning-state-correctly.patch is applied in kernel 2.6.18-194.32.1.el5 correctly. Set SanityOnly.

Comment 8 errata-xmlrpc 2011-01-04 16:55:38 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0004.html


Note You need to log in before you can comment on or make changes to this bug.